clear all
close all
addpath(genpath('.'))

problem_name = 'Colon cancer';
load colon.mat

%set up parameters
nfold = A.objsize; %in prtools means Leave-One-Out
ngenes = 256;
ntop = 13;

prwarning off
[error stdev] = plsa_class(A, ngenes, ntop, nfold);
%one can do the same with LPD by uncomment the following:
%[error stdev] = lda_class(A, ngenes, ntop, nfold);

%Display results
clc
fprintf('------------------------------------------------\n');
fprintf(['Results on the ' problem_name ' dataset\n']);
fprintf('(%d genes, %d samples, %d classes)\n', A.featsize, A.objsize, length(unique(A.nlab)));
fprintf('Parameters: %d genes, %d topics\n\n', ngenes, ntop);
fprintf('Jensen-Shannon kernel error: %f\n', error(1));
fprintf('Jensen-Tsallis kernel error: %f\n', error(2));
fprintf('Weighted Jensen-Tsallis kernel error: %f\n', error(3));
fprintf('Linear kernel error: %f\n\n', error(4));