function [itk_error itk_std] = lda_class(A, g, t, nfold)

prwarning off
%lda
G = genesel_var(A, g);
G_LDA = G * scalem(G, 'variance');
data = G_LDA.data;

R = crossval(G_LDA, [], nfold, 0);

lda_reps = 5;

for reps=1:lda_reps
    [a, b, c, gamma, alfa, ll]=full_gaussian_lda(data',t,150,lda_reps,0);
    savedLik(reps) = ll;
    savedGamma{reps} = gamma;
end


[val, bestLDAlearning] = max(savedLik);
gamma = savedGamma{bestLDAlearning};
dataset_lda = dataset(gamma, G_LDA.nlab);
for r=1:nfold
    data_train = dataset_lda.data((R~=r), :)';
    data_test = dataset_lda.data((R==r), :)';
    labels_train = dataset_lda.nlab(R~=r);
    labels_test = dataset_lda.nlab(R==r);
    error(r,:) = plsa_classify_itkernels(data_train, labels_train,data_test, labels_test);
end

itk_error = mean(error);
itk_std = std(error);

end